import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportElements.ReportChartObject;
import quadbase.reportdesigner.ReportViewer.Viewer;


public class AddingChartTemplate extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			AddingChartTemplate chart = new AddingChartTemplate();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doAddingChartTemplate(frame));
			frame.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public void init() {
		setLayout(new BorderLayout());
		add("Center", doAddingChartTemplate(this));
	}

	Component doAddingChartTemplate(Object parent)  {

		// Do not use EspressManager
		QbReport.setEspressManagerUsed(false);

		// Template Location
		String templateLocation = "AddingChartTemplate.rpt";

		// Create QbReport object from template
		QbReport report = new QbReport(parent, templateLocation);
		
		// Adding chart template to report
		ReportChartObject chartObject = new ReportChartObject();
		String chartLocation0 = new String("AddingChartTemplate.tpl");
		chartObject.setText(chartLocation0);
		chartObject.setWidth(7.40);
		chartObject.setHeight(4.90);
		chartObject.setY(0.10);
		chartObject.setImageType(QbReport.PNG);
		report.getTable().getFooter().addData(chartObject);

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}

}
